"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.gruvboxDark = void 0;

var _highlight = require("@lezer/highlight");

var _codemirrorThemes = require("@uiw/codemirror-themes");

/**
 * @name gruvbox-dark
 * @author morhetz
 * Name: Gruvbox
 * From github.com/codemirror/codemirror5/blob/master/theme/gruvbox-dark.css
 */
var gruvboxDark = (0, _codemirrorThemes.createTheme)({
  theme: 'dark',
  settings: {
    background: '#282828',
    foreground: '#ebdbb2',
    caret: '#ebdbb2',
    selection: '#bdae93',
    selectionMatch: '#bdae93',
    lineHighlight: '#3c3836',
    gutterBackground: '#282828',
    gutterForeground: '#7c6f64'
  },
  styles: [{
    tag: _highlight.tags.comment,
    color: '#928374'
  }, {
    tag: _highlight.tags.variableName,
    color: '#ebdbb2'
  }, {
    tag: [_highlight.tags.string, _highlight.tags.special(_highlight.tags.brace)],
    color: '#b8bb26'
  }, {
    tag: _highlight.tags.number,
    color: '#d3869b'
  }, {
    tag: _highlight.tags.bool,
    color: '#d3869b'
  }, {
    tag: _highlight.tags["null"],
    color: '#d3869b'
  }, {
    tag: _highlight.tags.keyword,
    color: '#f84934'
  }, {
    tag: _highlight.tags.operator,
    color: '#ebdbb2'
  }, {
    tag: _highlight.tags.className,
    color: '#8ec07c'
  }, {
    tag: _highlight.tags.definition(_highlight.tags.typeName),
    color: '#f84934'
  }, {
    tag: _highlight.tags.typeName,
    color: '#f84934'
  }, {
    tag: _highlight.tags.angleBracket,
    color: '#fe8019'
  }, {
    tag: _highlight.tags.tagName,
    color: '#fe8019'
  }, {
    tag: _highlight.tags.attributeName,
    color: '#8ec07c'
  }]
});
exports.gruvboxDark = gruvboxDark;
//# sourceMappingURL=index.js.map